CREATE PROCEDURE GetCustomers (@FavoriteWineId int) AS
	SELECT
	  c.FirstName, c.LastName, w.Category, w.Name
	 FROM
	  Customer AS c
	  LEFT OUTER JOIN Wine AS w ON c.FavoriteWineId = w.WineId
	 WHERE
	  (@FavoriteWineId IS NULL) OR (c.FavoriteWineId = @FavoriteWineId)
	 ORDER BY
	  c.LastName, c.FirstName;
