SELECT
  c.FirstName,
  c.LastName,
  w.Category,
  w.Name
 FROM
  Customer AS c
  LEFT OUTER JOIN Wine AS w ON c.FavoriteWineId = w.WineId
 ORDER BY
  c.LastName, c.FirstName;

SELECT
  c.FirstName,
  c.LastName,
  w.Category,
  w.Name
 FROM
  Customer AS c
  LEFT OUTER JOIN Wine AS w ON c.FavoriteWineId = w.WineId
 WHERE
  w.Category = 'Merlot'
 ORDER BY
  c.LastName, c.FirstName;

SELECT
  c.FirstName,
  c.LastName,
  w.Category,
  w.Name
 FROM
  Customer AS c
  LEFT OUTER JOIN Wine AS w ON c.FavoriteWineId = w.WineId
 WHERE
  w.[Year] < 2010
 ORDER BY
  c.LastName, c.FirstName;
