﻿CREATE TABLE [dbo].[Order]
(
	[OrderId] INT NOT NULL PRIMARY KEY IDENTITY, 
    [OrderedOn] DATETIME2 NOT NULL
,CustomerId int NOT NULL
,WineId int NOT NULL
,Quantity int NOT NULL
,UnitPrice money NOT NULL
,Price money NOT NULL
,AddedOn datetime2 NOT NULL DEFAULT SYSDATETIME()
,UpdatedOn datetime2 NULL, 
    CONSTRAINT [FK_Order_Customer] FOREIGN KEY (CustomerId) REFERENCES Customer(CustomerId), 
    CONSTRAINT [FK_Order_Wine] FOREIGN KEY (WineId) REFERENCES Wine(WineId)
)
